Skip to main content
POST
Fork a Service

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using your Tiger Cloud public key and secret key.

Format: Authorization: Basic <base64(public_key:secret_key)>

Example:

Path Parameters

project_id
string
required

The unique identifier of the project.

Example:

"rp1pz7uyae"

service_id
string
required

The unique identifier of the service.

Example:

"d1k5vk7hf2"

Body

application/json

Create a fork of an existing service. Service type, region code, and storage are always inherited from the parent service. HA replica count is always set to 0 for forked services.

fork_strategy
enum<string>
required

Strategy for creating the fork. This field is required.

Available options:
LAST_SNAPSHOT,
NOW,
PITR
name
string

A human-readable name for the forked service. If not provided, will use parent service name with "-fork" suffix.

Example:

"my-production-db-fork"

cpu_millis
string

The initial CPU allocation in milli-cores, or 'shared' for a shared-resource service. If not provided, will inherit from parent service.

Example:

"1000"

memory_gbs
string

The initial memory allocation in gigabytes, or 'shared' for a shared-resource service. If not provided, will inherit from parent service.

Example:

"4"

target_time
string<date-time>

Target time for point-in-time recovery. Required when fork_strategy is PITR.

Example:

"2024-01-01T00:00:00Z"

environment_tag
enum<string>
default:DEV

The environment tag for the forked service, 'DEV' by default.

Available options:
DEV,
PROD

Response

Fork request accepted. The response contains the details of the new service being created.

service_id
string

The unique identifier for the service.

project_id
string

The project this service belongs to.

name
string

The name of the service.

region_code
string

The cloud region where the service is hosted.

Example:

"us-east-1"

service_type
enum<string>

The type of the service.

Available options:
TIMESCALEDB,
POSTGRES,
VECTOR
created
string<date-time>

Creation timestamp

initial_password
string<password>

The initial password for the service.

Example:

"a-very-secure-initial-password"

paused
boolean

Whether the service is paused

status
enum<string>

Current status of the service

Available options:
QUEUED,
DELETING,
CONFIGURING,
READY,
DELETED,
UNSTABLE,
PAUSING,
PAUSED,
RESUMING,
UPGRADING,
OPTIMIZING
resources
object[]

List of resources allocated to the service

metadata
object

Additional metadata for the service

endpoint
object
vpcEndpoint
object | null

VPC endpoint configuration if available

forked_from
object
ha_replicas
object
connection_pooler
object
read_replica_sets
object[]